Update Collection Product Images Endpoint
curl --request PUT \
--url https://api.example.com/api/v1/merchants/{merchant_id}/collections/{collection_id}/products/{main_product_id}/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"main_image_url": "<string>",
"hover_image_url": "<string>",
"video": {}
}
'import requests
url = "https://api.example.com/api/v1/merchants/{merchant_id}/collections/{collection_id}/products/{main_product_id}/images"
payload = {
"main_image_url": "<string>",
"hover_image_url": "<string>",
"video": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({main_image_url: '<string>', hover_image_url: '<string>', video: {}})
};
fetch('https://api.example.com/api/v1/merchants/{merchant_id}/collections/{collection_id}/products/{main_product_id}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"main_product_id": "<string>",
"collection_id": "<string>",
"product_ids": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Product Images
Update Collection Product Images Endpoint
PUT
/
api
/
v1
/
merchants
/
{merchant_id}
/
collections
/
{collection_id}
/
products
/
{main_product_id}
/
images
Update Collection Product Images Endpoint
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Was this page helpful?
⌘I

